Get SCIM Schemas Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/adra-scim/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"SCIM 2 MCP server": {
  "url": "https://developer.adra.com/doc/adra-scim/mcp"
}
Close
GET /Schemas

Returns available fields for each schema, including the attributes of the User that we support. The supported attributes include:

  • userName: A unique identifier for the User, required for authentication.
  • name: The components of the user's real name, which includes both givenName and familyName, and can be returned as a full name or individual components.
  • externalId: The provider unique ID of a SCIM resource.
  • title: The user's title, such as 'Vice President'.
  • timezone: The User's time zone in the 'Olson' time zone database format.
  • active: A Boolean indicating the User's administrative status.
  • emails: Only one email address is supported, which must be of type 'work'.
  • locale: Language/region setting (e.g., 'en-GB').
  • preferredLanguage: User's preferred language.
  • id: Adra-generated unique user ID.
  • employeeNumber: Employee reference number (Enterprise User Schema).

Responses

  • 200 application/scim+json

    OK

    Hide response attributes Show response attributes object
    • schemas array[string]
    • totalResults integer(int32)
    • itemsPerPage integer(int32)
    • startIndex integer(int32) | null
    • Resources array[object] | null
      Hide Resources attributes Show Resources attributes object
      • id string
      • name string
      • description string
      • attributes array[object]
        Hide attributes attributes Show attributes attributes object
        • name string
        • type string
        • multiValued boolean
        • description string
        • required boolean
        • mutability string
        • returned string
        • uniqueness string
        • caseExact boolean
        • subAttributes array[object]

          Additional properties are NOT allowed.

      • schemas array[string]
  • 400 application/scim+json

    Bad Request

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 401 application/scim+json

    Unauthorized

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 403 application/scim+json

    Forbidden

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 500 application/scim+json

    Internal Server Error

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 501 application/scim+json

    Not Implemented

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
GET /Schemas
curl \
 --request GET 'https://setup.adratest.com/api/organizations/{organizationSid}/scim/Schemas' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "totalResults": 2,
  "itemsPerPage": 10,
  "startIndex": 1,
  "Resources": [
    {
      "id": "urn:ietf:params:scim:schemas:core:2.0:User",
      "name": "User",
      "description": "User Account",
      "attributes": [
        {
          "name": "userName",
          "type": "string",
          "multiValued": false,
          "description": "Unique identifier for the User",
          "required": true,
          "caseExact": false,
          "mutability": "readWrite",
          "returned": "default",
          "uniqueness": "server"
        },
        {
          "name": "name",
          "type": "complex",
          "multiValued": false,
          "description": "The components of the user's real name",
          "required": false,
          "subAttributes": [
            {
              "name": "givenName",
              "type": "string",
              "multiValued": false,
              "description": "The given name of the User",
              "required": true
            },
            {
              "name": "familyName",
              "type": "string",
              "multiValued": false,
              "description": "The family name of the User",
              "required": true
            }
          ]
        }
      ],
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Schema"
      ]
    },
    {
      "id": "urn:ietf:params:scim:schemas:core:2.0:Group",
      "name": "Group",
      "description": "Group",
      "attributes": [
        {
          "name": "displayName",
          "type": "string",
          "multiValued": false,
          "description": "A human-readable name for the Group",
          "required": true,
          "caseExact": false,
          "mutability": "readWrite",
          "returned": "default",
          "uniqueness": "none"
        },
        {
          "name": "members",
          "type": "complex",
          "multiValued": true,
          "description": "A list of members of the Group",
          "required": false,
          "mutability": "readWrite",
          "returned": "default"
        }
      ],
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Schema"
      ]
    }
  ]
}
Response examples (400)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (401)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (403)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (500)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (501)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}